Subject: Re: bug#74145: 31.0.50; Default lexical-binding to t

From: Christopher Dimech <[email-masked]>
Date: Fri, 14 Feb 2025 19:12:16 +0100

> Sent: Saturday, February 15, 2025 at 4:53 AM
> From: "Stefan Monnier via Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]>
> To: [email-masked]
> Subject: bug#74145: 31.0.50; Default lexical-binding to t
>
> > I believe the time has come to change the default dialect.
> > I attached a suggested patch to do that.
> 
> OK, before we change the default, I propose the patch below, which
> should not change the behavior at all, but allows users to
> 
>     (set-default-toplevel-value 'lexical-binding t)
> 
> IOW.  It does "everything" the previous patch did except actually change
> the default.  The remaining step is to change the single line that sets
> the default (currently to nil, then to t) and update the docs.
> 
> Any objection? > Stefan

;; ---------------------------------------------------------------

In the swirling chaos of modern existence, we find ourselves shackled 
by an insidious disease - the inability to truly transform. Claiming
to do everything except actually change the default, is a perfect 
encapsulation of this malaise. It’s a farce wrapped in the pretense 
of progress, a cruel joke played on the hopeful souls who dare to believe 
that anything can be different.